<%@ Page LANGUAGE="VB" ENABLESESSIONSTATE="True"%>
<%@ import Namespace="System.Data"%>
<%@ Import namespace="System.Data.OleDb"%>

<script language="vb" runat="server">
Sub Page_Load(sender as Object, e as EventArgs)
        If Not Page.IsPostBack Then
            BindData()
        End If
End Sub

    Sub BindData()
        '1. Create a connection
        Const strConnStr As String = "PROVIDER=MICROSOFT.JET.OLEDB.4.0;DATA SOURCE=c:\Inetpub\wwwroot\Flowers\Data\Web.mdb"
        Dim objConn As New OleDbConnection(strConnStr)
        objConn.Open()
      
        '2. Create a command object for the query
        Const strSQL As String = "SELECT ArtistsGroupings.[Gallery Artist Exhibit], ArtistsGroupings.[Gallery Artist Description], ArtistsGroupings.[Gallery Artist Featured], ArtistsGroupings.[Gallery Artist Type], ArtistsGroupings.[Gallery Artist Web], ArtistsGroupings.[Gallery Artist New], ArtistsGroupings.[Gallery Artist History], ArtistsGroupings.[Gallery Artist Status], ArtistsGroupings.[Gallery Artist Seq], ArtistsGroupings.Artist, ArtistsGroupings.[Artist Short], ArtistsGroupings.[Artist Biography], ArtistsGroupings.[Artist Exhibition], ArtistsGroupings.[Artist Website], ArtistsGroupings.Gallery, ArtistsGroupings.[Gallery Desc], ArtistsGroupings.[GAddress1], ArtistsGroupings.[GAddress2], ArtistsGroupings.[GTown], ArtistsGroupings.[Gallery Tele], ArtistsGroupings.[Gallery Fax], ArtistsGroupings.[Gallery Email Encoded], ArtistsGroupings.[Gallery Master], ArtistsGroupings.[Gallery Path], ArtistsGroupings.[Gallery Web Colour], ArtistsGroupings.[Company Web Display History], ArtistsGroupings.[Image File], ArtistsGroupings.[Gallery Artist Image Height], ArtistsGroupings.[Gallery Artist Image Width] FROM ArtistsGroupings ORDER BY ArtistsGroupings.Artist, ArtistsGroupings.[Gallery Artist Seq] "
        Dim mycommand As New OleDbCommand(strSQL, objConn)
      
        '3. Create/Populate the DataAdapter
        Dim myDA As New OleDbDataAdapter
        myDA.SelectCommand = mycommand
        
        '4. Populate the Dataset
        Dim myDS As New DataSet()
        myDA.Fill(myDS)
        
        dgArtistsGrouping.DataSource = myDS
        dgArtistsGrouping.DataBind()
        
        '5. Create Paging Text
        PagingMessage.Text = "Page " & dgArtistsGrouping.CurrentPageIndex + 1 & " of " & dgArtistsGrouping.PageCount
    
    End Sub
    
    Sub dgArtistsGrouping_Paged(ByVal sender As Object, ByVal e As DataGridPageChangedEventArgs)
        dgArtistsGrouping.CurrentPageIndex = e.NewPageIndex
        BindData()
    End Sub
</script>

<form id="Form1" runat="server">


	<br>
	<asp:datagrid id="dgArtistsGrouping" runat="server" BorderWidth="0"
			CellPadding="2" Width="29%"
			HorizontalAlign="left"
			HeaderStyle="none"
			Font-Name="Arial"
			Font-Size="11pt"
			ForeColor="#6F6F6F"
			GridLines="None"
			AutoGenerateColumns="False"
			AllowPaging="True"
			PageSize="25"
			OnPageIndexChanged="dgArtistsGrouping_Paged">

 <PagerStyle BackColor="Navy" ForeColor="White" Font-Size="8pt"
    Font-Bold="True" HorizontalAlign="Right"
    Mode="NumericPages" PageButtonCount="3">
    </pagerstyle>
	
		<Columns>
				<asp:BoundColumn DataField="Gallery Artist Description"
								ItemStyle-HorizontalAlign="Left" />
	If Request.Querystring.item("Grouping") = myds.item("Gallery Artist Exhibit") then
		ImageSource = rs("Image File")
		ImageWidth = rs("Gallery Artist Image Width")
		ImageHeight = rs("Gallery Artist Image Height")
		intDesc = rs("Gallery Artist Description")
	elseif ImageSource = "" and rs("Gallery Artist Featured") = True then
		ImageSource = rs("Image File")
		ImageWidth = rs("Gallery Artist Image Width")
		ImageHeight = rs("Gallery Artist Image Height")
		intDesc = rs("Gallery Artist Description")
	End if%>
    intImage = imageSource.GetThumbnailImage(Imagewidth, ImageHeight, Nothing, Nothing)
    Response.ContentType = "image/jpeg" 
    intImage.Save (Response.OutputStream, ImageFormat.Jpeg)
		</Columns>
	
	</asp:datagrid>
	<asp:label HorizontalAlign="Center" runat="server" id="PagingMessage"
			Font-Name="Verdana" Font-Italic="True" Font-Size="Smaller" />
</form>

