<%@ Page LANGUAGE="VB" ENABLESESSIONSTATE="True" Debug="true"%>
<%@ import Namespace="System.Data"%>
<%@ Import namespace="System.Data.OleDb"%>

<script language="vbscript" runat="server">
Sub Page_Load(sender as Object, e as EventArgs)
    If Not Page.IsPostBack then
        BindData()
    End If
End Sub

    Sub BindData()
        '1. Create a connection
        Const strConnStr As String = "PROVIDER=MICROSOFT.JET.OLEDB.4.0;DATA SOURCE=c:\Inetpub\wwwroot\Flowers\Data\Web.mdb"
        Dim objConn As New OleDbConnection(strConnStr)
        objConn.Open()
      
        '2. Create a command object for the query
        Const strSQL As String = "SELECT ArtistsGroupings.[Gallery Artist Exhibit], ArtistsGroupings.[Gallery Artist Description], ArtistsGroupings.[Gallery Artist Featured], ArtistsGroupings.[Gallery Artist Type], ArtistsGroupings.[Gallery Artist Web], ArtistsGroupings.[Gallery Artist New], ArtistsGroupings.[Gallery Artist History], ArtistsGroupings.[Gallery Artist Status], ArtistsGroupings.[Gallery Artist Seq], ArtistsGroupings.Artist, ArtistsGroupings.[Artist Short], ArtistsGroupings.[Artist Biography], ArtistsGroupings.[Artist Exhibition], ArtistsGroupings.[Artist Website], ArtistsGroupings.Gallery, ArtistsGroupings.[Gallery Desc], ArtistsGroupings.[GAddress1], ArtistsGroupings.[GAddress2], ArtistsGroupings.[GTown], ArtistsGroupings.[Gallery Tele], ArtistsGroupings.[Gallery Fax], ArtistsGroupings.[Gallery Email Encoded], ArtistsGroupings.[Gallery Master], ArtistsGroupings.[Gallery Path], ArtistsGroupings.[Gallery Web Colour], ArtistsGroupings.[Company Web Display History], ArtistsGroupings.[Image File], ArtistsGroupings.[Gallery Artist Image Height], ArtistsGroupings.[Gallery Artist Image Width] FROM ArtistsGroupings ORDER BY ArtistsGroupings.Artist, ArtistsGroupings.[Gallery Artist Seq] "
        Dim mycommand As New OleDbCommand(strSQL, objConn)
      
        '3. Create/Populate the DataAdapter
        Dim myDA As New OleDbDataAdapter
        myDA.SelectCommand = mycommand
        
        '4. Populate the Dataset
        Dim myDS As New DataSet()
        myDA.Fill(myDS)
        
        dgArtistsGrouping.DataSource = myDS
        dgArtistsGrouping.DataBind()
        
        '5. Create Paging Text
        Paging.Text = "Page " & dgArtistsGrouping.CurrentPageIndex & " of " & dgArtistsGrouping.PageCount
        
    End Sub
    Sub dgArtistsGrouping_Paged(ByVal sender As Object, ByVal e As DataGridPageChangedEventArgs)
        dgArtistsGrouping.CurrentPageIndex = e.NewPageIndex
        BindData()
    End Sub
</script>

<asp:datagrid id="dgArtistsGrouping" runat="server"
    borderwidth="1"
    CellPadding="4" Width="50%"
    AutoGenerateColumns="False"
    HeaderStyle-ForeColor="white"
    HeaderStyle-HorizontalAlign="center"
    HeaderStyle-Font-Bold="True"
    AllowCustomPaging="True"
    AllowPaging="True"
    PageSize="15"
    OnPageIndexChanged="dgArtistsGrouping_Paged">
     
       <Columns>
        <asp:BoundColumn DataField="Gallery Artist Description"
                ItemStyle-HorizontalAlign="Left" />
       </Columns>
       
       <PagerStyle BackColor="Navy" ForeColor="White" Font-Size="8pt"
       Font-Bold="True" HorizontalAlign="Right"
       Mode="NumericPages" PageButtonCount="3" />

     </asp:DataGrid>
     
     <asp:label HorizontalAlign="center" runat="server" id="Paging" 
                Font-Name="arial" Font-Size="Smaller" />